@ECHO OFF

CLS
ECHO.
ECHO  MNT VA2000 Firmware 1.9.0
ECHO  Connect VA2000 via USB and select a feature combination.
ECHO  Enter a number between 1 and 6.
ECHO.
ECHO   1. Amiga 3/4000, 32MB VRAM, 1280x720/1024x768
ECHO   2. Amiga 3/4000, 32MB VRAM, 1280x1024
ECHO   3. Amiga   2000,  4MB VRAM, 1280x720/1024x768
ECHO   4. Amiga   2000,  4MB VRAM, 1280x1024
ECHO   5. Amiga   2000,  2MB VRAM, 1280x720/1024x768
ECHO   6. Cancel
ECHO.

CHOICE /N /C:123456

IF ERRORLEVEL==6 (
GOTO END
)
IF ERRORLEVEL==5 (
SET BITFILE=va2000-z2-75clk-2mb.bit
GOTO FLASH
)
IF ERRORLEVEL==4 (
SET BITFILE=va2000-z2-75clk-4mb.bit
GOTO FLASH
)
IF ERRORLEVEL==3 (
SET BITFILE=va2000-z2-75clk-4mb.bit
GOTO FLASH
)
IF ERRORLEVEL==2 (
SET BITFILE=va2000-z3-100clk-32mb.bit
GOTO FLASH
)
IF ERRORLEVEL==1 (
SET BITFILE=va2000-z3-75clk-32mb.bit
GOTO FLASH
)
GOTO END

:FLASH

ECHO.
ECHO Selected Firmware: %BITFILE%
ECHO.

CD xc3sprog
xc3sprog -c ftdi spiflasherLX25.bit
xc3sprog -c ftdi -I ..\%BITFILE%
xc3sprog -c ftdi ..\%BITFILE%
CD ..

:END
